import { Context } from "../../types"

/**
 * 处理模型代理请求
 * @param req
 * @returns
 */
export const manageModelProxyReq = async (ctx: Context) => {
  const { req, logger } = ctx
  logger.info("model proxy")
  const PROXY_URL =
    "http://ms-13871-nstruct-lmdeploy-2-0109140455.kscn-tj5-prod2-cloudml.xiaomi.srv"
  return fetch(PROXY_URL + new URL(req.url).pathname, {
    method: req.method,
    body: req.body,
  })
}
